package com.org.oss.controller;

import com.org.system.controller.BaseController;
import com.org.utils.upload.CommonUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("common")
public class commonController extends BaseController {

    /**
     * 通用下载接口
     *
     * @param fileName
     */
    @GetMapping("/download")
    public void fileDownload(String fileName){
        log.info("commonController - fileDownload fileName:{}", fileName);

        CommonUtil.download(fileName, true);
    }


}
