package com.org.web.data.controller;

import com.org.system.controller.BaseController;
import com.org.utils.AjaxResult;
import com.org.web.data.service.DataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/data")
public class DataController extends BaseController {

	@Autowired
	DataService dataService;

	@PostMapping("/statistics")
//	@PreAuthorize("@ss.hasPermi('data:statistics')")
	public AjaxResult statistics() {
		return AjaxResult.success(dataService.queryDataStatistics());
	}

}
