package com.org.web.room.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.org.system.entity.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 房间床位
 */
@Data
@Accessors(chain = true)
@TableName(value ="bc_room_bed")
public class BcRoomBed extends BaseEntity {

    /**  id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 床位号
     */
    private String name;

    /**
     * 房间id
     */
    private Long roomId;

    /**
     * 入住人员id
     */
    @TableField(exist = false)
    private Long personId;

    /**
     * 人员名称
     */
    @TableField(exist = false)
    private String personName;

}
