package com.org.web.honor.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.org.system.entity.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;


/**
 * 荣誉橱窗展示
 */
@Data
@Accessors(chain = true)
@TableName(value ="bc_honor_show")
public class BcHonorShow extends BaseEntity {

    /**  id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 展示类型
     */
    private Integer type;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    /**
     * 附件
     */
    private String files;

    /**
     * 是否置顶 1-是 0-否
     */
    private Integer ifTop;

    public BcHonorShow() {}
}
