package com.org.web.person.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.org.system.entity.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 人员-家庭成员
 */
@Data
@Accessors(chain = true)
@TableName(value ="bc_person_family")
public class BcPersonFamily extends BaseEntity {

    /**  id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 人员id
     */
    private Long personId;

    /**
     * 与人员关系
     */
    private String relation;

    /**
     * 家庭成员姓名
     */
    private String familyName;

    /**
     * 身份证号
     */
    private String idCardNo;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 工作单位
     */
    private String workInfo;
}
